package com.ruoyi.project.ehs.mapper;

import java.util.List;

import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.ehs.domain.TEyewasher;

/**
 * 洗眼器Mapper接口
 * 
 * @author ruoyi
 * @date 2020-11-24
 */
public interface TEyewasherMapper 
{
    /**
     * 查询洗眼器
     * 
     * @param id 洗眼器ID
     * @return 洗眼器
     */
    public TEyewasher selectTEyewasherById(Long id);

    /**
     * 查询洗眼器列表
     * 
     * @param tEyewasher 洗眼器
     * @return 洗眼器集合
     */
    @DataScope(deptAlias = "d")
    public List<TEyewasher> selectTEyewasherList(TEyewasher tEyewasher);

    /**
     * 定时任务查询洗眼器列表
     *
     * @param tEyewasher 洗眼器
     * @return 洗眼器集合
     */
    public List<TEyewasher> selectList(TEyewasher tEyewasher);

    /**
     * 新增洗眼器
     * 
     * @param tEyewasher 洗眼器
     * @return 结果
     */
    public int insertTEyewasher(TEyewasher tEyewasher);

    /**
     * 修改洗眼器
     * 
     * @param tEyewasher 洗眼器
     * @return 结果
     */
    public int updateTEyewasher(TEyewasher tEyewasher);

    /**
     * 删除洗眼器
     * 
     * @param id 洗眼器ID
     * @return 结果
     */
    public int deleteTEyewasherById(Long id);

    /**
     * 批量删除洗眼器
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTEyewasherByIds(Long[] ids);
}
